package ru.yandex.webmaster3.core.metrika.radar;

import ru.yandex.webmaster3.core.data.WebmasterHostId;

/**
 * Created by ifilippov5 on 03.08.18.
 */
public class ConfirmationInfo {
    private final String token;
    private final WebmasterHostId hostId;
    private final Long appId;
    private final String email;
    private final String login;

    public ConfirmationInfo(String token, WebmasterHostId hostId, Long appId, String email, String login) {
        this.token = token;
        this.hostId = hostId;
        this.appId = appId;
        this.email = email;
        this.login = login;
    }

    public String getToken() {
        return token;
    }

    public WebmasterHostId getHostId() {
        return hostId;
    }

    public Long getAppId() {
        return appId;
    }

    public String getEmail() {
        return email;
    }

    public String getLogin() {
        return login;
    }
}
